Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000132 [Piwigo] metadata major have not tried 2005.08.07 11:16 2008.10.05 14:29
Reporter chrisaga View Status public  
Assigned To rvelices
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version Butterfly 1 Product Version 1.4.1
  Target Version 2.0.0 Product Build
Summary 0000132: Metadata synchronization creates emptiness
Description name, comment, author, and keyword were lost during upgrade
Steps To Reproduce
Additional Information used upgrade.php
field value are NULL in table images
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships
related to 0000415new Files/database sychronisation of the EXIF metadata (datetimeOriginal) 
has duplicate 0000704closedVDigital Data erased from database on update 

-  Notes
(0000198)
chrisaga (developer)
2005.08.07 14:17

Oops it's not the upgrade which lost the data, but the EXIF and IPTC metadata analysis.
The synchronisation process shouldn't erase manualy edited data when there are no metadata in the image file !
(0000418)
Froggy (reporter)
2005.11.13 21:36

Same problem on 1.5.0 version : even empty metadata erases manually entered information.
At least tested with some jpg file without date of creation.
(0000419)
plg (manager)
2005.11.14 17:27

If you read french language, here is a very interesting discussion on this topic : http://forum.phpwebgallery.net/viewtopic.php?id=3919 [^]
(0002327)
rvelices (developer)
2008.08.29 14:29

[Subversion] r2491

- Issue History
Date Modified Username Field Change
2005.08.07 11:16 chrisaga New Issue
2005.08.07 11:16 chrisaga browser => any
2005.08.07 11:16 chrisaga Web server => Apache 1.3.x
2005.08.07 14:13 chrisaga Issue Monitored: chrisaga
2005.08.07 14:13 chrisaga Issue End Monitor: chrisaga
2005.08.07 14:17 chrisaga Note Added: 0000198
2005.11.13 21:36 Froggy Note Added: 0000418
2005.11.14 17:27 plg Note Added: 0000419
2005.11.14 17:27 plg Assigned To => plg
2005.11.14 17:27 plg Status new => acknowledged
2005.11.14 17:27 plg Category other => metadata
2005.11.14 17:27 plg Summary Lost of images information when upgrading from 1.3.4 to 1.4.1 => Metadata synchronization creates emptiness
2008.01.29 17:27 mathiasm Relationship added related to 0000704
2008.02.05 02:02 tieum Issue Monitored: tieum
2008.05.18 09:33 VDigital Status acknowledged => assigned
2008.05.18 09:33 VDigital Assigned To plg => VDigital
2008.06.14 12:08 VDigital Target Version => Butterfly
2008.07.05 00:56 mathiasm Relationship deleted related to 0000704
2008.07.05 00:56 mathiasm Relationship added has duplicate 0000704
2008.07.05 00:57 mathiasm Relationship added related to 0000415
2008.08.29 14:28 rvelices Assigned To VDigital => rvelices
2008.08.29 14:29 rvelices Note Added: 0002327
2008.08.29 14:29 rvelices Status assigned => closed
2008.08.29 14:29 rvelices Resolution open => fixed
2008.08.29 14:29 rvelices Fixed in Version => Butterfly
2008.10.05 14:29 plg Fixed in Version Butterfly => Butterfly 1


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker